diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/int64x64-test-suite.cc ns-3.31/src/core/test/int64x64-test-suite.cc
--- ns-3.30.1/src/core/test/int64x64-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/int64x64-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -1076,80 +1067,80 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Double: "
-	    << "integer: " << intPart
-	    << std::endl;
+            << "integer: " << intPart
+            << std::endl;
   m_last = static_cast<long double> (intPart);
   m_deltaCount = 0;
 
   // Nudging the integer part eliminates deltas around 0
   long double v = static_cast<long double> (intPart);
-  
-  Check (v +0.0000000000000000000542L, intPart,                0x1ULL);
-  Check (v +0.0000000000000000001084L, intPart,                0x2ULL);
-  Check (v +0.0000000000000000001626L, intPart,                0x3ULL);
-  Check (v +0.0000000000000000002168L, intPart,                0x4ULL);
-  Check (v +0.0000000000000000002710L, intPart,                0x5ULL);
-  Check (v +0.0000000000000000003253L, intPart,                0x6ULL);
-  Check (v +0.0000000000000000003795L, intPart,                0x7ULL);
-  Check (v +0.0000000000000000004337L, intPart,                0x8ULL);
-  Check (v +0.0000000000000000004879L, intPart,                0x9ULL);
-  Check (v +0.0000000000000000005421L, intPart,                0xAULL);
-  Check (v +0.0000000000000000008132L, intPart,                0xFULL);
-  Check (v +0.0000000000000000130104L, intPart,               0xF0ULL);
-  Check (v +0.0000000000000002081668L, intPart,              0xF00ULL);
-  Check (v +0.0000000000000033306691L, intPart,             0xF000ULL);
-  Check (v +0.0000000000000532907052L, intPart,            0xF0000ULL);
-  Check (v +0.0000000000008526512829L, intPart,           0xF00000ULL);
-  Check (v +0.0000000000136424205266L, intPart,          0xF000000ULL);
-  Check (v +0.0000000002182787284255L, intPart,         0xF0000000ULL);
-  Check (v +0.0000000034924596548080L, intPart,        0xF00000000ULL);
-  Check (v +0.0000000558793544769287L, intPart,       0xF000000000ULL);
-  Check (v +0.0000008940696716308594L, intPart,      0xF0000000000ULL);
-  Check (v +0.0000143051147460937500L, intPart,     0xF00000000000ULL);
-  Check (v +0.0002288818359375000000L, intPart,    0xF000000000000ULL);
-  Check (v +0.0036621093750000000000L, intPart,   0xF0000000000000ULL);
-  Check (v +0.0585937500000000000000L, intPart,  0xF00000000000000ULL);
-  std::cout << std::endl;
-  Check (v +0.4999999999999999998374L, intPart, 0x7FFFFFFFFFFFFFFDULL);
-  Check (v +0.4999999999999999998916L, intPart, 0x7FFFFFFFFFFFFFFEULL);
-  Check (v +0.4999999999999999999458L, intPart, 0x7FFFFFFFFFFFFFFFULL);
-  Check (v +0.5000000000000000000000L, intPart, 0x8000000000000000ULL);
-  Check (v +0.5000000000000000000542L, intPart, 0x8000000000000001ULL);
-  Check (v +0.5000000000000000001084L, intPart, 0x8000000000000002ULL);
-  Check (v +0.5000000000000000001626L, intPart, 0x8000000000000003ULL);
-  std::cout << std::endl;
-  Check (v +0.9375000000000000000000L, intPart, 0xF000000000000000ULL);
-  Check (v +0.9960937500000000000000L, intPart, 0xFF00000000000000ULL);
-  Check (v +0.9997558593750000000000L, intPart, 0xFFF0000000000000ULL);
-  Check (v +0.9999847412109375000000L, intPart, 0xFFFF000000000000ULL);
-  Check (v +0.9999990463256835937500L, intPart, 0xFFFFF00000000000ULL);
-  Check (v +0.9999999403953552246094L, intPart, 0xFFFFFF0000000000ULL);
-  Check (v +0.9999999962747097015381L, intPart, 0xFFFFFFF000000000ULL);
-  Check (v +0.9999999997671693563461L, intPart, 0xFFFFFFFF00000000ULL);
-  Check (v +0.9999999999854480847716L, intPart, 0xFFFFFFFFF0000000ULL);
-  Check (v +0.9999999999990905052982L, intPart, 0xFFFFFFFFFF000000ULL);
-  Check (v +0.9999999999999431565811L, intPart, 0xFFFFFFFFFFF00000ULL);
-  Check (v +0.9999999999999964472863L, intPart, 0xFFFFFFFFFFFF0000ULL);
-  Check (v +0.9999999999999997779554L, intPart, 0xFFFFFFFFFFFFF000ULL);
-  Check (v +0.9999999999999999861222L, intPart, 0xFFFFFFFFFFFFFF00ULL);
-  Check (v +0.9999999999999999991326L, intPart, 0xFFFFFFFFFFFFFFF0ULL);
-  Check (v +0.9999999999999999994037L, intPart, 0xFFFFFFFFFFFFFFF5ULL);
-  Check (v +0.9999999999999999994579L, intPart, 0xFFFFFFFFFFFFFFF6ULL);
-  Check (v +0.9999999999999999995121L, intPart, 0xFFFFFFFFFFFFFFF7ULL);
-  Check (v +0.9999999999999999995663L, intPart, 0xFFFFFFFFFFFFFFF8ULL);
-  Check (v +0.9999999999999999996205L, intPart, 0xFFFFFFFFFFFFFFF9ULL);
-  Check (v +0.9999999999999999996747L, intPart, 0xFFFFFFFFFFFFFFFAULL);
-  Check (v +0.9999999999999999997289L, intPart, 0xFFFFFFFFFFFFFFFBULL);
-  Check (v +0.9999999999999999997832L, intPart, 0xFFFFFFFFFFFFFFFCULL);
-  Check (v +0.9999999999999999998374L, intPart, 0xFFFFFFFFFFFFFFFDULL);
-  Check (v +0.9999999999999999998916L, intPart, 0xFFFFFFFFFFFFFFFEULL);
-  Check (v +0.9999999999999999999458L, intPart, 0xFFFFFFFFFFFFFFFFULL);
+
+  Check (v + 0.0000000000000000000542L, intPart,                0x1ULL);
+  Check (v + 0.0000000000000000001084L, intPart,                0x2ULL);
+  Check (v + 0.0000000000000000001626L, intPart,                0x3ULL);
+  Check (v + 0.0000000000000000002168L, intPart,                0x4ULL);
+  Check (v + 0.0000000000000000002710L, intPart,                0x5ULL);
+  Check (v + 0.0000000000000000003253L, intPart,                0x6ULL);
+  Check (v + 0.0000000000000000003795L, intPart,                0x7ULL);
+  Check (v + 0.0000000000000000004337L, intPart,                0x8ULL);
+  Check (v + 0.0000000000000000004879L, intPart,                0x9ULL);
+  Check (v + 0.0000000000000000005421L, intPart,                0xAULL);
+  Check (v + 0.0000000000000000008132L, intPart,                0xFULL);
+  Check (v + 0.0000000000000000130104L, intPart,               0xF0ULL);
+  Check (v + 0.0000000000000002081668L, intPart,              0xF00ULL);
+  Check (v + 0.0000000000000033306691L, intPart,             0xF000ULL);
+  Check (v + 0.0000000000000532907052L, intPart,            0xF0000ULL);
+  Check (v + 0.0000000000008526512829L, intPart,           0xF00000ULL);
+  Check (v + 0.0000000000136424205266L, intPart,          0xF000000ULL);
+  Check (v + 0.0000000002182787284255L, intPart,         0xF0000000ULL);
+  Check (v + 0.0000000034924596548080L, intPart,        0xF00000000ULL);
+  Check (v + 0.0000000558793544769287L, intPart,       0xF000000000ULL);
+  Check (v + 0.0000008940696716308594L, intPart,      0xF0000000000ULL);
+  Check (v + 0.0000143051147460937500L, intPart,     0xF00000000000ULL);
+  Check (v + 0.0002288818359375000000L, intPart,    0xF000000000000ULL);
+  Check (v + 0.0036621093750000000000L, intPart,   0xF0000000000000ULL);
+  Check (v + 0.0585937500000000000000L, intPart,  0xF00000000000000ULL);
+  std::cout << std::endl;
+  Check (v + 0.4999999999999999998374L, intPart, 0x7FFFFFFFFFFFFFFDULL);
+  Check (v + 0.4999999999999999998916L, intPart, 0x7FFFFFFFFFFFFFFEULL);
+  Check (v + 0.4999999999999999999458L, intPart, 0x7FFFFFFFFFFFFFFFULL);
+  Check (v + 0.5000000000000000000000L, intPart, 0x8000000000000000ULL);
+  Check (v + 0.5000000000000000000542L, intPart, 0x8000000000000001ULL);
+  Check (v + 0.5000000000000000001084L, intPart, 0x8000000000000002ULL);
+  Check (v + 0.5000000000000000001626L, intPart, 0x8000000000000003ULL);
+  std::cout << std::endl;
+  Check (v + 0.9375000000000000000000L, intPart, 0xF000000000000000ULL);
+  Check (v + 0.9960937500000000000000L, intPart, 0xFF00000000000000ULL);
+  Check (v + 0.9997558593750000000000L, intPart, 0xFFF0000000000000ULL);
+  Check (v + 0.9999847412109375000000L, intPart, 0xFFFF000000000000ULL);
+  Check (v + 0.9999990463256835937500L, intPart, 0xFFFFF00000000000ULL);
+  Check (v + 0.9999999403953552246094L, intPart, 0xFFFFFF0000000000ULL);
+  Check (v + 0.9999999962747097015381L, intPart, 0xFFFFFFF000000000ULL);
+  Check (v + 0.9999999997671693563461L, intPart, 0xFFFFFFFF00000000ULL);
+  Check (v + 0.9999999999854480847716L, intPart, 0xFFFFFFFFF0000000ULL);
+  Check (v + 0.9999999999990905052982L, intPart, 0xFFFFFFFFFF000000ULL);
+  Check (v + 0.9999999999999431565811L, intPart, 0xFFFFFFFFFFF00000ULL);
+  Check (v + 0.9999999999999964472863L, intPart, 0xFFFFFFFFFFFF0000ULL);
+  Check (v + 0.9999999999999997779554L, intPart, 0xFFFFFFFFFFFFF000ULL);
+  Check (v + 0.9999999999999999861222L, intPart, 0xFFFFFFFFFFFFFF00ULL);
+  Check (v + 0.9999999999999999991326L, intPart, 0xFFFFFFFFFFFFFFF0ULL);
+  Check (v + 0.9999999999999999994037L, intPart, 0xFFFFFFFFFFFFFFF5ULL);
+  Check (v + 0.9999999999999999994579L, intPart, 0xFFFFFFFFFFFFFFF6ULL);
+  Check (v + 0.9999999999999999995121L, intPart, 0xFFFFFFFFFFFFFFF7ULL);
+  Check (v + 0.9999999999999999995663L, intPart, 0xFFFFFFFFFFFFFFF8ULL);
+  Check (v + 0.9999999999999999996205L, intPart, 0xFFFFFFFFFFFFFFF9ULL);
+  Check (v + 0.9999999999999999996747L, intPart, 0xFFFFFFFFFFFFFFFAULL);
+  Check (v + 0.9999999999999999997289L, intPart, 0xFFFFFFFFFFFFFFFBULL);
+  Check (v + 0.9999999999999999997832L, intPart, 0xFFFFFFFFFFFFFFFCULL);
+  Check (v + 0.9999999999999999998374L, intPart, 0xFFFFFFFFFFFFFFFDULL);
+  Check (v + 0.9999999999999999998916L, intPart, 0xFFFFFFFFFFFFFFFEULL);
+  Check (v + 0.9999999999999999999458L, intPart, 0xFFFFFFFFFFFFFFFFULL);
 
   std::cout << GetParent ()->GetName () << " Double: "
-	    << "integer: " << intPart
-	    << ": delta count: " << m_deltaCount
-	    << ", max: " << Printer (m_deltaMax)
-	    << std::endl;  
+            << "integer: " << intPart
+            << ": delta count: " << m_deltaCount
+            << ", max: " << Printer (m_deltaMax)
+            << std::endl;
 }
 
 void
@@ -1157,7 +1148,7 @@
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Double: " << GetName ()
-	    << std::endl;
+            << std::endl;
 
   // Save stream format flags
   std::ios_base::fmtflags ff = std::cout.flags ();
@@ -1166,8 +1157,8 @@
   m_deltaMax = int64x64_t ();
 
   std::cout << GetParent ()->GetName () << " Double: "
-	    << std::endl;
-    
+            << std::endl;
+
   Check (-2);
   Check (-1);
   Check ( 0);
@@ -1175,8 +1166,8 @@
   Check ( 2);
 
   std::cout << GetParent ()->GetName () << " Double: "
-	    << "max delta: " << Printer (m_deltaMax)
-	    << std::endl;
+            << "max delta: " << Printer (m_deltaMax)
+            << std::endl;
 
   std::cout.flags (ff);
 }
@@ -1191,24 +1182,25 @@
 
 Int64x64ImplTestCase::Int64x64ImplTestCase ()
   : TestCase ("Print the implementation")
-{
-}
+{}
 
 void
 Int64x64ImplTestCase::DoRun (void)
 {
   std::cout << std::endl;
   std::cout << GetParent ()->GetName () << " Impl: " << GetName ()
-	    << std::endl;
+            << std::endl;
+
 
-  
   std::cout << "int64x64_t::implementation: ";
   switch (int64x64_t::implementation)
     {
+      /* *NS_CHECK_STYLE_OFF* */
     case (int64x64_t::int128_impl) : std::cout << "int128_impl"; break;
     case (int64x64_t::cairo_impl)  : std::cout << "cairo_impl";  break;
     case (int64x64_t::ld_impl)     : std::cout << "ld_impl";     break;
     default :                        std::cout << "unknown!";    
+      /* *NS_CHECK_STYLE_ON* */
     }
   std::cout << std::endl;
 
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc ns-3.31/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc
--- ns-3.30.1/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/many-uniform-random-variables-one-get-value-call-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -35,8 +35,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup randomvariable-tests
@@ -56,12 +56,10 @@
 
 ManyUniformRandomVariablesOneGetValueCallTestCase::ManyUniformRandomVariablesOneGetValueCallTestCase ()
   : TestCase ("Many Uniform Random Variables with One GetValue() Call")
-{
-}
+{}
 
 ManyUniformRandomVariablesOneGetValueCallTestCase::~ManyUniformRandomVariablesOneGetValueCallTestCase ()
-{
-}
+{}
 
 void
 ManyUniformRandomVariablesOneGetValueCallTestCase::DoRun (void)
@@ -110,6 +108,6 @@
 static ManyUniformRandomVariablesOneGetValueCallTestSuite g_manyUniformRandomVariablesOneGetValueCallTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/names-test-suite.cc ns-3.31/src/core/test/names-test-suite.cc
--- ns-3.30.1/src/core/test/names-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/names-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -33,8 +33,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup names-tests
@@ -47,7 +47,7 @@
    * Register this type.
    * \return The TypeId.
    */
-  static TypeId GetTypeId (void) 
+  static TypeId GetTypeId (void)
   {
     static TypeId tid = TypeId ("TestObject")
       .SetParent<Object> ()
@@ -57,7 +57,8 @@
     return tid;
   }
   /** Constructor. */
-  TestObject () {}
+  TestObject ()
+  {}
 };
 
 /**
@@ -71,7 +72,7 @@
    * Register this type.
    * \return The TypeId.
    */
-  static TypeId GetTypeId (void) 
+  static TypeId GetTypeId (void)
   {
     static TypeId tid = TypeId ("AlternateTestObject")
       .SetParent<Object> ()
@@ -81,14 +82,15 @@
     return tid;
   }
   /** Constructor. */
-  AlternateTestObject () {}
+  AlternateTestObject ()
+  {}
 };
 
 /**
  * \ingroup names-tests
  * Test the Object Name Service can do its most basic job.
  *
- * Add associations between Objects using the lowest level add 
+ * Add associations between Objects using the lowest level add
  * function, which is:
  *
  *     Add (Ptr<Object> context, std::string name, Ptr<Object> object);
@@ -111,12 +113,10 @@
 
 BasicAddTestCase::BasicAddTestCase ()
   : TestCase ("Check low level Names::Add and Names::FindName functionality")
-{
-}
+{}
 
 BasicAddTestCase::~BasicAddTestCase ()
-{
-}
+{}
 
 void
 BasicAddTestCase::DoTeardown (void)
@@ -160,7 +160,7 @@
  *
  *     Add (std::string context, std::string name, Ptr<Object> object);
  *
- * High level path-based functions will translate into this form, so this is 
+ * High level path-based functions will translate into this form, so this is
  * the second most basic Add functionality.
  */
 class StringContextAddTestCase : public TestCase
@@ -179,12 +179,10 @@
 StringContextAddTestCase::StringContextAddTestCase ()
   : TestCase ("Check string context Names::Add and Names::FindName functionality")
 
-{
-}
+{}
 
 StringContextAddTestCase::~StringContextAddTestCase ()
-{
-}
+{}
 
 void
 StringContextAddTestCase::DoTeardown (void)
@@ -224,11 +222,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can correctly use a 
+ * Test the Object Name Service can correctly use a
  * fully qualified path to add associations.
  *
  *     Add (std::string name, Ptr<Object> object);
- * 
+ *
  */
 class FullyQualifiedAddTestCase : public TestCase
 {
@@ -246,12 +244,10 @@
 FullyQualifiedAddTestCase::FullyQualifiedAddTestCase ()
   : TestCase ("Check fully qualified path Names::Add and Names::FindName functionality")
 
-{
-}
+{}
 
 FullyQualifiedAddTestCase::~FullyQualifiedAddTestCase ()
-{
-}
+{}
 
 void
 FullyQualifiedAddTestCase::DoTeardown (void)
@@ -299,7 +295,7 @@
  * in all of their strings.
  *
  *     Add (std::string name, Ptr<Object> object);
- * 
+ *
  */
 class RelativeAddTestCase : public TestCase
 {
@@ -317,12 +313,10 @@
 RelativeAddTestCase::RelativeAddTestCase ()
   : TestCase ("Check relative path Names::Add and Names::FindName functionality")
 
-{
-}
+{}
 
 RelativeAddTestCase::~RelativeAddTestCase ()
-{
-}
+{}
 
 void
 RelativeAddTestCase::DoTeardown (void)
@@ -384,12 +378,10 @@
 
 BasicRenameTestCase::BasicRenameTestCase ()
   : TestCase ("Check low level Names::Rename functionality")
-{
-}
+{}
 
 BasicRenameTestCase::~BasicRenameTestCase ()
-{
-}
+{}
 
 void
 BasicRenameTestCase::DoTeardown (void)
@@ -427,11 +419,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can rename objects 
+ * Test the Object Name Service can rename objects
  * using a string context.
  *
  *     Rename (std::string context, std::string oldname, std::string newname);
- * 
+ *
  */
 class StringContextRenameTestCase : public TestCase
 {
@@ -448,12 +440,10 @@
 
 StringContextRenameTestCase::StringContextRenameTestCase ()
   : TestCase ("Check string context-based Names::Rename functionality")
-{
-}
+{}
 
 StringContextRenameTestCase::~StringContextRenameTestCase ()
-{
-}
+{}
 
 void
 StringContextRenameTestCase::DoTeardown (void)
@@ -491,11 +481,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can rename objects 
+ * Test the Object Name Service can rename objects
  * using a fully qualified path name.
  *
  *     Rename (std::string oldpath, std::string newname);
- * 
+ *
  */
 class FullyQualifiedRenameTestCase : public TestCase
 {
@@ -512,12 +502,10 @@
 
 FullyQualifiedRenameTestCase::FullyQualifiedRenameTestCase ()
   : TestCase ("Check fully qualified path Names::Rename functionality")
-{
-}
+{}
 
 FullyQualifiedRenameTestCase::~FullyQualifiedRenameTestCase ()
-{
-}
+{}
 
 void
 FullyQualifiedRenameTestCase::DoTeardown (void)
@@ -555,11 +543,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can rename objects 
+ * Test the Object Name Service can rename objects
  * using a relative path name.
  *
  *     Rename (std::string oldpath, std::string newname);
- * 
+ *
  */
 class RelativeRenameTestCase : public TestCase
 {
@@ -576,12 +564,10 @@
 
 RelativeRenameTestCase::RelativeRenameTestCase ()
   : TestCase ("Check relative path Names::Rename functionality")
-{
-}
+{}
 
 RelativeRenameTestCase::~RelativeRenameTestCase ()
-{
-}
+{}
 
 void
 RelativeRenameTestCase::DoTeardown (void)
@@ -623,7 +609,7 @@
  * and return its fully qualified path name.
  *
  *     FindPath (Ptr<Object> object);
- * 
+ *
  */
 class FindPathTestCase : public TestCase
 {
@@ -640,12 +626,10 @@
 
 FindPathTestCase::FindPathTestCase ()
   : TestCase ("Check Names::FindPath functionality")
-{
-}
+{}
 
 FindPathTestCase::~FindPathTestCase ()
-{
-}
+{}
 
 void
 FindPathTestCase::DoTeardown (void)
@@ -680,7 +664,7 @@
  * Test the Object Name Service can find Objects.
  *
  *     Find (Ptr<Object> context, std::string name);
- * 
+ *
  */
 class BasicFindTestCase : public TestCase
 {
@@ -697,12 +681,10 @@
 
 BasicFindTestCase::BasicFindTestCase ()
   : TestCase ("Check low level Names::Find functionality")
-{
-}
+{}
 
 BasicFindTestCase::~BasicFindTestCase ()
-{
-}
+{}
 
 void
 BasicFindTestCase::DoTeardown (void)
@@ -742,11 +724,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can find Objects using 
+ * Test the Object Name Service can find Objects using
  * a string context.
  *
  *     Find (std::string context, std::string name);
- * 
+ *
  */
 class StringContextFindTestCase : public TestCase
 {
@@ -763,12 +745,10 @@
 
 StringContextFindTestCase::StringContextFindTestCase ()
   : TestCase ("Check string context-based Names::Find functionality")
-{
-}
+{}
 
 StringContextFindTestCase::~StringContextFindTestCase ()
-{
-}
+{}
 
 void
 StringContextFindTestCase::DoTeardown (void)
@@ -808,11 +788,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can find Objects using 
+ * Test the Object Name Service can find Objects using
  * a fully qualified path name.
  *
  *     Find (std::string name);
- * 
+ *
  */
 class FullyQualifiedFindTestCase : public TestCase
 {
@@ -829,12 +809,10 @@
 
 FullyQualifiedFindTestCase::FullyQualifiedFindTestCase ()
   : TestCase ("Check fully qualified path Names::Find functionality")
-{
-}
+{}
 
 FullyQualifiedFindTestCase::~FullyQualifiedFindTestCase ()
-{
-}
+{}
 
 void
 FullyQualifiedFindTestCase::DoTeardown (void)
@@ -874,11 +852,11 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can find Objects using 
+ * Test the Object Name Service can find Objects using
  * a relative path name.
  *
  *     Find (std::string name);
- * 
+ *
  */
 class RelativeFindTestCase : public TestCase
 {
@@ -895,12 +873,10 @@
 
 RelativeFindTestCase::RelativeFindTestCase ()
   : TestCase ("Check relative path Names::Find functionality")
-{
-}
+{}
 
 RelativeFindTestCase::~RelativeFindTestCase ()
-{
-}
+{}
 
 void
 RelativeFindTestCase::DoTeardown (void)
@@ -940,7 +916,7 @@
 
 /**
  * \ingroup names-tests
- * Test the Object Name Service can find Objects using 
+ * Test the Object Name Service can find Objects using
  * a second type.
  */
 class AlternateFindTestCase : public TestCase
@@ -958,12 +934,10 @@
 
 AlternateFindTestCase::AlternateFindTestCase ()
   : TestCase ("Check GetObject operation in Names::Find")
-{
-}
+{}
 
 AlternateFindTestCase::~AlternateFindTestCase ()
-{
-}
+{}
 
 void
 AlternateFindTestCase::DoTeardown (void)
@@ -984,26 +958,26 @@
   Ptr<AlternateTestObject> foundAlternateTestObject;
 
   foundTestObject = Names::Find<TestObject> ("Test Object");
-  NS_TEST_ASSERT_MSG_EQ (foundTestObject, testObject, 
+  NS_TEST_ASSERT_MSG_EQ (foundTestObject, testObject,
                          "Could not find a previously named TestObject via GetObject");
 
   foundAlternateTestObject = Names::Find<AlternateTestObject> ("Alternate Test Object");
-  NS_TEST_ASSERT_MSG_EQ (foundAlternateTestObject, alternateTestObject, 
+  NS_TEST_ASSERT_MSG_EQ (foundAlternateTestObject, alternateTestObject,
                          "Could not find a previously named AlternateTestObject via GetObject");
 
 
   foundAlternateTestObject = Names::Find<AlternateTestObject> ("Test Object");
-  NS_TEST_ASSERT_MSG_EQ (foundAlternateTestObject, 0, 
+  NS_TEST_ASSERT_MSG_EQ (foundAlternateTestObject, 0,
                          "Unexpectedly able to GetObject<AlternateTestObject> on a TestObject");
 
   foundTestObject = Names::Find<TestObject> ("Alternate Test Object");
-  NS_TEST_ASSERT_MSG_EQ (foundTestObject, 0, 
+  NS_TEST_ASSERT_MSG_EQ (foundTestObject, 0,
                          "Unexpectedly able to GetObject<TestObject> on an AlternateTestObject");
 }
 
 /**
  * \ingroup names-tests
- * Names Test Suite 
+ * Names Test Suite
  */
 class NamesTestSuite : public TestSuite
 {
@@ -1038,6 +1012,6 @@
 static NamesTestSuite g_namesTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/object-test-suite.cc ns-3.31/src/core/test/object-test-suite.cc
--- ns-3.30.1/src/core/test/object-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/object-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -60,7 +60,8 @@
     return tid;
   }
   /** Constructor. */
-  BaseA () {}
+  BaseA ()
+  {}
 };
 
 /**
@@ -84,9 +85,12 @@
     return tid;
   }
   /** Constructor. */
-  DerivedA () {}
+  DerivedA ()
+  {}
+
 protected:
-  virtual void DoDispose (void) {
+  virtual void DoDispose (void)
+  {
     BaseA::DoDispose ();
   }
 };
@@ -112,7 +116,8 @@
     return tid;
   }
   /** Constructor. */
-  BaseB () {}
+  BaseB ()
+  {}
 };
 
 /**
@@ -136,9 +141,12 @@
     return tid;
   }
   /** Constructor. */
-  DerivedB () {}
+  DerivedB ()
+  {}
+
 protected:
-  virtual void DoDispose (void) {
+  virtual void DoDispose (void)
+  {
     BaseB::DoDispose ();
   }
 };
@@ -152,8 +160,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup object-tests
@@ -173,12 +181,10 @@
 
 CreateObjectTestCase::CreateObjectTestCase ()
   : TestCase ("Check CreateObject<Type> template function")
-{
-}
+{}
 
 CreateObjectTestCase::~CreateObjectTestCase ()
-{
-}
+{}
 
 void
 CreateObjectTestCase::DoRun (void)
@@ -212,13 +218,13 @@
   NS_TEST_ASSERT_MSG_EQ (baseA->GetObject<BaseA> (), baseA, "Unable to GetObject<BaseA> on BaseA");
 
   //
-  // Since we created a DerivedA and cast it to a BaseA, we should be able to 
+  // Since we created a DerivedA and cast it to a BaseA, we should be able to
   // get back a DerivedA and it should be the original Ptr.
   //
   NS_TEST_ASSERT_MSG_EQ (baseA->GetObject<DerivedA> (), baseA, "GetObject() of the original type returns different Ptr");
 
-  // If we created a DerivedA and cast it to a BaseA, then we GetObject for the 
-  // same DerivedA and cast it back to the same BaseA, we should get the same 
+  // If we created a DerivedA and cast it to a BaseA, then we GetObject for the
+  // same DerivedA and cast it back to the same BaseA, we should get the same
   // object.
   //
   NS_TEST_ASSERT_MSG_EQ (baseA->GetObject<BaseA> (DerivedA::GetTypeId ()), baseA, "GetObject returns different Ptr");
@@ -242,12 +248,10 @@
 
 AggregateObjectTestCase::AggregateObjectTestCase ()
   : TestCase ("Check Object aggregation functionality")
-{
-}
+{}
 
 AggregateObjectTestCase::~AggregateObjectTestCase ()
-{
-}
+{}
 
 void
 AggregateObjectTestCase::DoRun (void)
@@ -342,7 +346,7 @@
   NS_TEST_ASSERT_MSG_NE (baseA->GetObject<DerivedB> (), 0, "Cannot GetObject (through baseA) for DerivedB Object");
 
   //
-  // Since the DerivedB is also a BaseB, we should be able to ask the aggregation 
+  // Since the DerivedB is also a BaseB, we should be able to ask the aggregation
   // (through baseA) for the BaseB part
   //
   NS_TEST_ASSERT_MSG_NE (baseA->GetObject<BaseB> (), 0, "Cannot GetObject (through baseA) for BaseB Object");
@@ -353,7 +357,7 @@
   NS_TEST_ASSERT_MSG_NE (baseB->GetObject<DerivedA> (), 0, "Cannot GetObject (through baseB) for DerivedA Object");
 
   //
-  // Since the DerivedA is also a BaseA, we should be able to ask the aggregation 
+  // Since the DerivedA is also a BaseA, we should be able to ask the aggregation
   // (through baseB) for the BaseA part
   //
   NS_TEST_ASSERT_MSG_NE (baseB->GetObject<BaseA> (), 0, "Cannot GetObject (through baseB) for BaseA Object");
@@ -362,20 +366,20 @@
   // baseBCopy is a copy of the original Ptr to the Object BaseB.  Even though
   // we didn't use baseBCopy directly in the aggregations, the object to which
   // it points was used, therefore, we should be able to use baseBCopy as if
-  // it were baseB (same underlying Object) and get a BaseA and a DerivedA out 
+  // it were baseB (same underlying Object) and get a BaseA and a DerivedA out
   // of the aggregation through baseBCopy.
   //
   NS_TEST_ASSERT_MSG_NE (baseBCopy->GetObject<BaseA> (), 0, "Cannot GetObject (through baseBCopy) for a BaseA Object");
   NS_TEST_ASSERT_MSG_NE (baseBCopy->GetObject<DerivedA> (), 0, "Cannot GetObject (through baseBCopy) for a BaseA Object");
 
   //
-  // Since the Ptr<BaseB> is actually a DerivedB, we should be able to ask the 
+  // Since the Ptr<BaseB> is actually a DerivedB, we should be able to ask the
   // aggregation (through baseB) for the DerivedB part
   //
   NS_TEST_ASSERT_MSG_NE (baseB->GetObject<DerivedB> (), 0, "Cannot GetObject (through baseB) for DerivedB Object");
 
   //
-  // Since the DerivedB was cast to a BaseB, we should be able to ask the 
+  // Since the DerivedB was cast to a BaseB, we should be able to ask the
   // aggregation (through baseB) for the BaseB part
   //
   NS_TEST_ASSERT_MSG_NE (baseB->GetObject<BaseB> (), 0, "Cannot GetObject (through baseB) for BaseB Object");
@@ -416,12 +420,10 @@
 
 ObjectFactoryTestCase::ObjectFactoryTestCase ()
   : TestCase ("Check ObjectFactory functionality")
-{
-}
+{}
 
 ObjectFactoryTestCase::~ObjectFactoryTestCase ()
-{
-}
+{}
 
 void
 ObjectFactoryTestCase::DoRun (void)
@@ -446,14 +448,14 @@
   NS_TEST_ASSERT_MSG_EQ (a->GetObject<DerivedA> (), 0, "BaseA unexpectedly responds to GetObject for DerivedA");
 
   //
-  // Now tell the factory to make DerivedA Objects and create one with an 
+  // Now tell the factory to make DerivedA Objects and create one with an
   // implied cast back to a BaseA
   //
   factory.SetTypeId (DerivedA::GetTypeId ());
   a = factory.Create ();
 
   //
-  // Since the DerivedA has a BaseA part, we should be able to use GetObject to 
+  // Since the DerivedA has a BaseA part, we should be able to use GetObject to
   // dynamically cast back to a BaseA.
   //
   NS_TEST_ASSERT_MSG_EQ (a->GetObject<BaseA> (), a, "Unable to use GetObject as dynamic_cast<BaseA>()");
@@ -499,6 +501,6 @@
 static ObjectTestSuite g_objectTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc ns-3.31/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc
--- ns-3.30.1/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/test/one-uniform-random-variable-many-get-value-calls-test-suite.cc	2020-06-27 17:38:30.000000000 -0700
@@ -34,8 +34,8 @@
 
 namespace ns3 {
 
-  namespace tests {
-    
+namespace tests {
+
 
 /**
  * \ingroup randomvariable-tests
@@ -55,12 +55,10 @@
 
 OneUniformRandomVariableManyGetValueCallsTestCase::OneUniformRandomVariableManyGetValueCallsTestCase ()
   : TestCase ("One Uniform Random Variable with Many GetValue() Calls")
-{
-}
+{}
 
 OneUniformRandomVariableManyGetValueCallsTestCase::~OneUniformRandomVariableManyGetValueCallsTestCase ()
-{
-}
+{}
 
 void
 OneUniformRandomVariableManyGetValueCallsTestCase::DoRun (void)
@@ -109,6 +107,6 @@
 static OneUniformRandomVariableManyGetValueCallsTestSuite g_oneUniformRandomVariableManyGetValueCallsTestSuite;
 
 
-  }  // namespace tests
+}    // namespace tests
 
 }  // namespace ns3
